#ifndef NODES_H
#define NODES_H

#include "scene.h"

class SGLight :public SGNode{
	int m_index;
public:
	SGLight(int index);
	void predraw();
	void drawgeometry(){}
};

class SGCamera :public SGNode{
public:
	SGCamera();
	void predraw();
	void drawgeometry(){}
};

class SGCube :public SGNode{
	bool	m_solid;
	float	m_size;
public: 
	SGCube(bool solid = true, float size = 0.2f);
	void drawgeometry();
};

class SGSphere :public SGNode{
	bool	m_solid;
	float	m_radius;
	int		m_slices;
	int		m_stacks;
public:
	SGSphere(bool solid = true, float radius = 0.2f, int slices = 30, int stacks = 30);
	void drawgeometry();
};

class SGTeapot :public SGNode{
	bool	m_solid;
	float	m_size;
public: 
	SGTeapot(bool solid = true, float size = 0.5);
	void drawgeometry();
};

#endif
